> ## Documentation Index
> Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize

> Use this API to authenticate with the Cashfree system and obtain the authorization bearer token. All other API calls must have this token as Authorization header in the format 'Bearer <token>' (without quotes) for them to get processed.



## OpenAPI

````yaml post /payout/v1/authorize
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
security:
  - {}
paths:
  /payout/v1/authorize:
    post:
      summary: Authorize
      description: >-
        Use this API to authenticate with the Cashfree system and obtain the
        authorization bearer token. All other API calls must have this token as
        Authorization header in the format 'Bearer &lt;token&gt;' (without
        quotes) for them to get processed. The generated token is valid for 6
        minutes.
      operationId: authorize-2
      parameters:
        - name: X-Cf-Signature
          in: header
          description: Signature to be sent if IP is not whitelisted
          required: false
          style: simple
          explode: false
          schema:
            type: string
        - name: X-Client-Secret
          in: header
          description: Client Secret key
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: X-Client-Id
          in: header
          description: Client ID
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_10'
        '401':
          description: '401'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_401'
      deprecated: false
      security: []
components:
  schemas:
    inline_response_200_10:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        message:
          type: string
          example: Token is valid
        subCode:
          type: string
          example: '200'
    inline_response_401:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '401'
        message:
          type: string
          example: Invalid clientId and clientSecret combination

````